# PetscDLLibraryCCAAppend

Appends another CCA dynamic link library to the seach list, to the end of the search path.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscDLLibraryCCAAppend(MPI_Comm comm,PetscDLLibrary *outlist,const char dirname[])

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| libname | - name of directory to check

### Output Parameter

outlist -list of libraries

Notes: if library is already in path will not add it.

Level:developer
Location: src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages